# Class CIM_SettingCheck
extends CIM_Check

This class specifies information needed to verify a particular 'setting' file, for a specific entry in the file. The file entry is checked whether it contains or matches the value defined in EntryValue. All compares are assumed to be case insensitive.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Check
|
+--CIM_SettingCheck

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class specifies information needed to verify a particular 'setting' file, for a specific entry in the file. The file entry is checked whether it contains or matches the value defined in EntryValue. All compares are assumed to be case insensitive.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CheckType | uint16 |
Description | string | CheckType specifies how the setting value should be compared.
ValueMap | string | 0, 1
Values | string | Matches, Contains
EntryName | string |
Description | string | Name of the setting entry to be checked.
MaxLen | uint32 | 256
EntryValue | string |
Description | string | Value to be compared for the named entry.
FileName | string |
Description | string | File name of the 'setting' file to be checked.
MaxLen | uint32 | 1024
SectionKey | string |
Description | string | Key or label for the section of the file containing the settings to be checked.
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CheckID | string | CIM_Check
CheckMode | boolean | CIM_Check
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Check
SoftwareElementID | string | CIM_Check
SoftwareElementState | uint16 | CIM_Check
TargetOperatingSystem | uint16 | CIM_Check
Version | string | CIM_Check

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Check
InvokeOnSystem | uint32 | CIM_Check